summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolás Reynolds <apoyosis@correo.inta.gob.ar>2011-02-14 17:21:27 -0300
committerNicolás Reynolds <apoyosis@correo.inta.gob.ar>2011-02-14 17:21:27 -0300
commit568929c75b5a62756a0b984709e7db8795c6bcdf (patch)
tree076a408a7442a9a08c2b19f4d3eca196bd9f1a9a
parent4253d9d631fb5aec2e5621169816601a727ca38f (diff)
downloadabslibre-568929c75b5a62756a0b984709e7db8795c6bcdf.tar.gz
abslibre-568929c75b5a62756a0b984709e7db8795c6bcdf.tar.bz2
abslibre-568929c75b5a62756a0b984709e7db8795c6bcdf.zip
[social] repo
-rw-r--r--social/diaspora-git/PKGBUILD100
-rw-r--r--social/diaspora-git/diaspora.bin3
-rw-r--r--social/diaspora-git/diaspora.install29
-rw-r--r--social/diaspora-git/diaspora.logrotate5
-rw-r--r--social/diaspora-git/diaspora.pam3
-rw-r--r--social/diaspora-git/diaspora.rc65
-rw-r--r--social/haveged/PKGBUILD28
-rw-r--r--social/haveged/haveged44
-rw-r--r--social/lockfile-progs/PKGBUILD26
-rw-r--r--social/monkeysphere/PKGBUILD23
-rw-r--r--social/monkeysphere/monkeysphere.install40
-rw-r--r--social/ruby-headers/PKGBUILD29
-rw-r--r--social/statusnet/PKGBUILD46
-rw-r--r--social/statusnet/statusnet.install13
14 files changed, 454 insertions, 0 deletions
diff --git a/social/diaspora-git/PKGBUILD b/social/diaspora-git/PKGBUILD
new file mode 100644
index 000000000..52a6b990e
--- /dev/null
+++ b/social/diaspora-git/PKGBUILD
@@ -0,0 +1,100 @@
+# Maintainer: fauno <fauno@kiwwwi.com.ar>
+# Maintainer: Hilton Medeiros <medeiros.hilton at gmail dot com>
+# Contributor: Splashy <splash at open-web dot fr>
+
+# After installing, see the Diaspora wiki page for more information:
+# https://wiki.archlinux.org/index.php/Diaspora
+
+pkgname=diaspora-git
+pkgver=20110208
+pkgrel=1
+pkgdesc="A privacy aware, personally controlled, do-it-all, open source social network"
+arch=('i686' 'x86_64')
+url="http://www.joindiaspora.com/"
+license=('AGPL3')
+depends=('ruby' 'mysql-ruby' 'redis' 'imagemagick' 'libxslt')
+makedepends=('git' 'ruby-headers')
+install=diaspora.install
+source=('diaspora.bin'
+ 'diaspora.rc'
+ 'diaspora.logrotate'
+ 'diaspora.pam')
+
+_gitroot="http://github.com/diaspora/diaspora.git"
+_gitname="diaspora"
+
+build() {
+ cd "$srcdir"
+
+ msg "Connecting to the Git server..."
+
+ if [[ -d $_gitname ]] ; then
+ pushd $_gitname
+ git pull origin
+ msg "The local files are updated."
+ popd
+ else
+ git clone $_gitroot
+ msg "Git clone done."
+ fi
+
+ msg "Start making..."
+
+ [[ -d $_gitname-build ]] && rm -fr $_gitname-build
+ git clone $_gitname $_gitname-build
+
+ # Recover gems cache
+ rm -fr $_gitname-gems
+ mkdir -p $_gitname-gems
+ [[ -d cache ]] && mv cache $_gitname-gems
+
+# Include all gems
+ export GEM_HOME="$srcdir/$_gitname-gems"
+ export GEM_PATH="$srcdir/$_gitname-gems"
+ export PATH="${PATH}:${GEM_PATH}/bin"
+
+ gem install bundler
+
+ # Patch ruby_core_source to not install the headers in the system
+ # Remove this if you are behind a proxy and install the ruby-headers package instead
+# gem install ruby_core_source
+# sed -i "s@^ dest_dir.*@ dest_dir = \"$srcdir/rubyhdrs/\" + ruby_dir@" \
+# $_gitname-gems/gems/ruby_core_source*/lib/ruby_core_source.rb
+
+ pushd $_gitname-build
+ bundle install --path vendor
+
+ # We make this now because we do not install the git history
+ tar czf public/source.tar.gz `git ls-tree -r master | awk '{print $4}'`
+
+ rm -fr .git
+ popd
+
+ # Keep the gems cache
+ mv $_gitname-gems/cache "$srcdir"
+}
+
+package() {
+ cd "$srcdir"
+
+ usrdir="$pkgdir/usr/share/webapps"
+
+ install -d "$usrdir"
+ cp -r $_gitname-build "$usrdir/$_gitname"
+ #cp -r $_gitname-gems "$usrdir/"
+ find "$usrdir/$_gitname-gems" \
+ -type d -name ".git" -exec rm -fr '{}' \; &>/dev/null || true
+
+ install -Dm755 $_gitname.bin "$pkgdir/usr/bin/$_gitname"
+ install -Dm755 $_gitname.rc "$pkgdir/etc/rc.d/$_gitname"
+ install -Dm644 $_gitname.logrotate "$pkgdir/etc/logrotate.d/$_gitname"
+ install -Dm644 $_gitname.pam "$pkgdir/etc/pam.d/$_gitname"
+
+ install -d $pkgdir/usr/share/licenses/$_gitname/
+ install -Dm644 ${srcdir}/$_gitname-build/{AUTHORS,COPYRIGHT,GNU-AGPL-3.0} \
+ $pkgdir/usr/share/licenses/$_gitname/
+}
+md5sums=('7e7402127f9a05bc58aff0adc5057d1c'
+ '7bffaaee41b515247ba19a19c77dc5bf'
+ '60f6b3972c73cbc6b1c9ab87c88fb655'
+ '96f82c38f3f540b53f3e5144900acf17')
diff --git a/social/diaspora-git/diaspora.bin b/social/diaspora-git/diaspora.bin
new file mode 100644
index 000000000..d18a40014
--- /dev/null
+++ b/social/diaspora-git/diaspora.bin
@@ -0,0 +1,3 @@
+cd /usr/share/webapps/diaspora
+export GEM_HOME=/usr/share/webapps/diaspora-gems/
+./script/server &>>/var/log/diaspora.log
diff --git a/social/diaspora-git/diaspora.install b/social/diaspora-git/diaspora.install
new file mode 100644
index 000000000..faf2cb78f
--- /dev/null
+++ b/social/diaspora-git/diaspora.install
@@ -0,0 +1,29 @@
+
+dusr=diaspora
+dhome=/usr/share/webapps/diaspora
+dgems=/usr/share/webapps/diaspora-gems
+dlog=/var/log/diaspora.log
+
+post_install() {
+ getent passwd $dusr &>/dev/null || useradd -r -d $dhome -s /bin/bash $dusr &>/dev/null
+ chown -R $dusr:$dusr $dhome $dgems &>/dev/null
+ [[ -f $dlog ]] && chown $dusr:$dusr $dlog
+}
+
+pre_upgrade(){
+ etc/rc.d/diaspora stop &>/dev/null
+ return 0
+}
+
+post_upgrade(){
+ post_install $1
+}
+
+pre_remove(){
+ pre_upgrade $1
+}
+
+post_remove(){
+ getent passwd $dusr &>/dev/null && userdel -f $dusr
+ return 0
+}
diff --git a/social/diaspora-git/diaspora.logrotate b/social/diaspora-git/diaspora.logrotate
new file mode 100644
index 000000000..bb5564a79
--- /dev/null
+++ b/social/diaspora-git/diaspora.logrotate
@@ -0,0 +1,5 @@
+/var/log/diaspora.log {
+ notifempty
+ copytruncate
+ missingok
+}
diff --git a/social/diaspora-git/diaspora.pam b/social/diaspora-git/diaspora.pam
new file mode 100644
index 000000000..53724d1f8
--- /dev/null
+++ b/social/diaspora-git/diaspora.pam
@@ -0,0 +1,3 @@
+auth required pam_unix.so
+account required pam_unix.so
+session required pam_unix.so
diff --git a/social/diaspora-git/diaspora.rc b/social/diaspora-git/diaspora.rc
new file mode 100644
index 000000000..bd79237ee
--- /dev/null
+++ b/social/diaspora-git/diaspora.rc
@@ -0,0 +1,65 @@
+#!/bin/bash
+
+daemon_name=diaspora
+dusr=diaspora
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pgrep -u $daemon_name`
+
+case "$1" in
+ start)
+ #Check if mysqld and redis are running, start them if not
+ ck_daemon mysqld && /etc/rc.d/mysqld start
+ ck_daemon redis && /etc/rc.d/redis start
+
+ if [ ! -e /var/log/$daemon_name.log ]; then
+ touch /var/log/$daemon_name.log
+ chown $dusr:$dusr /var/log/$daemon_name.log
+ fi
+
+ stat_busy "Starting $daemon_name daemon"
+ [ -z "$PID" ] && /bin/su - $dusr -c "/usr/bin/$daemon_name &"
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ add_daemon $daemon_name
+ stat_done
+ fi
+ ;;
+
+ stop)
+ stat_busy "Stopping $daemon_name daemon"
+ kill $PID &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ while [ ! -z "$(pgrep -u $daemon_name)" ]; do
+ sleep 1;
+ done
+ rm_daemon $daemon_name
+ stat_done
+ fi
+ ;;
+
+ restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+
+ status)
+ stat_busy "Checking $daemon_name status"
+ ck_status $daemon_name
+ ;;
+
+ *)
+ echo "usage: $0 {start|stop|restart|status}"
+esac
+
+exit 0
+
+# vim: syntax=sh
diff --git a/social/haveged/PKGBUILD b/social/haveged/PKGBUILD
new file mode 100644
index 000000000..804a22199
--- /dev/null
+++ b/social/haveged/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: pootzko <pootzko@gmail.com>
+# Contributor: kfgz <kfgz@interia.pl>
+
+pkgname=haveged
+pkgver=1.0
+pkgrel=1
+pkgdesc="A simple entropy daemon."
+arch=('i686' 'x86_64')
+url="http://www.issihosts.com/haveged"
+license="GPL"
+depends=()
+source=(${url}/${pkgname}-${pkgver}.tar.gz
+ haveged)
+md5sums=('72df03658cafac35e087fb75f6d4100d'
+ '264b725be5271288b40f363d7cfc6b68')
+
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr
+ make
+ make DESTDIR=${pkgdir} install
+ rm -rf ${pkgdir}/etc/init.d
+ cd ${srcdir}
+ install -D -m755 haveged ${pkgdir}/etc/rc.d/haveged
+}
+
+
diff --git a/social/haveged/haveged b/social/haveged/haveged
new file mode 100644
index 000000000..c0e13b40d
--- /dev/null
+++ b/social/haveged/haveged
@@ -0,0 +1,44 @@
+#!/bin/bash
+##
+# chkconfig: 2345 75 25
+# description: havege entropy daemon
+#
+# source function library
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+RETVAL=0
+prog="haveged"
+
+case "$1" in
+start)
+ stat_busy $"Starting $prog"
+ /usr/sbin/$prog -w 1024 -v 1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon $prog
+ stat_done
+ fi
+ ;;
+
+stop)
+ stat_busy $"Stopping $prog"
+ kill `cat /var/run/$prog.pid`
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon $prog
+ stat_done
+ rm -f /var/lock/$prog
+ fi
+ ;;
+
+restart)
+ $0 stop
+ $0 start
+ ;;
+
+*)
+ echo "usage: $prog [start|stop|restart]"
+esac
diff --git a/social/lockfile-progs/PKGBUILD b/social/lockfile-progs/PKGBUILD
new file mode 100644
index 000000000..3fced1597
--- /dev/null
+++ b/social/lockfile-progs/PKGBUILD
@@ -0,0 +1,26 @@
+# Contributor: Andreas Wagner <Andreas dot Wagner at em dot uni-frankfurt dot de>
+
+pkgname=lockfile-progs
+pkgver=0.1.15
+pkgrel=1
+pkgdesc="programs for locking and unlocking files and mailboxes"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://packages.debian.org/unstable/misc/lockfile-progs"
+depends=('glibc')
+makedepends=('gcc' 'make' 'liblockfile')
+source=(http://ftp.debian.org/debian/pool/main/l/lockfile-progs/${pkgname}_${pkgver}.tar.gz)
+
+build() {
+ cd $startdir/src/sid
+
+ make || return 1
+
+ mkdir -p $startdir/pkg/usr/bin
+ install -s bin/* $startdir/pkg/usr/bin
+
+ mkdir -p $startdir/pkg/usr/share/man/man1
+ install man/*.1 $startdir/pkg/usr/share/man/man1
+}
+
+md5sums=('abfcda83a1868073673f4d78066b8f8a')
diff --git a/social/monkeysphere/PKGBUILD b/social/monkeysphere/PKGBUILD
new file mode 100644
index 000000000..33c1bcf1b
--- /dev/null
+++ b/social/monkeysphere/PKGBUILD
@@ -0,0 +1,23 @@
+# Contributor: fauno <fauno@kiwwwi.com.ar>
+# Based on monkeysphere-git from
+# Contributor: Olivier Mehani <shtrom-arch@ssji.net>
+# $Id: PKGBUILD 264 2010-11-10 00:57:53Z shtrom $
+pkgname=monkeysphere
+pkgver=0.35
+pkgrel=1
+pkgdesc="Leverage the OpenPGP web of trust for OpenSSH and Web authentication"
+arch=('i686' 'x86_64')
+url="http://web.monkeysphere.info/"
+license=('GPL3')
+depends=('gnupg' 'lockfile-progs' 'perl-crypt-openssl-rsa' 'perl-digest-sha1')
+source=(http://archive.monkeysphere.info/debian/pool/${pkgname}/m/${pkgname}/${pkgname}_${pkgver}.orig.tar.gz)
+install=monkeysphere.install
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ make DESTDIR="$pkgdir/" install
+ mkdir -p $pkgdir/var/lib/monkeysphere
+}
+md5sums=()
+md5sums=('481ac14c9fdef0ccd1944c593bd4f517')
diff --git a/social/monkeysphere/monkeysphere.install b/social/monkeysphere/monkeysphere.install
new file mode 100644
index 000000000..cc31e728d
--- /dev/null
+++ b/social/monkeysphere/monkeysphere.install
@@ -0,0 +1,40 @@
+#!/bin/sh
+# $Id: monkeysphere.install 264 2010-11-10 00:57:53Z shtrom $
+# vim:set ts=2 sw=2 et:
+
+# arg 1: the new package version
+pre_install() {
+ /bin/true
+}
+
+# arg 1: the new package version
+post_install() {
+ echo ">>> Creating monkeysphere user and group and setting permissions..."
+ getent group monkeysphere >/dev/null || usr/sbin/groupadd monkeysphere
+ getent passwd monkeysphere >/dev/null || usr/sbin/useradd -c 'Monkeysphere WoT server identification tool' -g monkeysphere -d '/var/lib/monkeysphere' -s /bin/bash monkeysphere
+ chown monkeysphere:monkeysphere /var/lib/monkeysphere
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+pre_upgrade() {
+ /bin/true
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ /bin/true
+}
+
+# arg 1: the old package version
+pre_remove() {
+ usr/sbin/userdel monkeysphere &>/dev/null
+ (getent group monkeysphere >/dev/null && usr/sbin/groupdel monkeysphere &>/dev/null) || /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+ /bin/true
+}
+
diff --git a/social/ruby-headers/PKGBUILD b/social/ruby-headers/PKGBUILD
new file mode 100644
index 000000000..b7ef76edc
--- /dev/null
+++ b/social/ruby-headers/PKGBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Hilton Medeiros <medeiros.hilton at gmail dot com>
+
+pkgname=ruby-headers
+_pkgname=ruby
+pkgver=1.9.2_p136
+_pkgver=1.9.2-p136
+pkgrel=1
+pkgdesc="A package of all Ruby headers needed by some gems like ruby-debug."
+arch=('any')
+url="http://www.ruby-lang.org/en/"
+license=('custom')
+depends=('ruby')
+source=("http://ftp.ruby-lang.org/pub/ruby/1.9/$_pkgname-$_pkgver.tar.bz2")
+md5sums=('52958d35d1b437f5d9d225690de94c13')
+
+build() {
+ /bin/true
+}
+
+package() {
+ cd "$srcdir/$_pkgname-$_pkgver"
+
+ # Just to make sure, since currently we have /usr/include/ruby-1.9.1 for ruby 1.9.2
+ _hdrdir=`ruby -e "require 'rbconfig'; puts Config::CONFIG['rubyhdrdir']"`
+
+ install -d "$pkgdir$_hdrdir/$_pkgname-$_pkgver"
+ install -m644 *.{h,inc} "$pkgdir$_hdrdir/$_pkgname-$_pkgver"
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
diff --git a/social/statusnet/PKGBUILD b/social/statusnet/PKGBUILD
new file mode 100644
index 000000000..3ef8776f1
--- /dev/null
+++ b/social/statusnet/PKGBUILD
@@ -0,0 +1,46 @@
+# Contributor: fauno <fauno@kiwwwi.com.ar>
+pkgname=statusnet
+pkgver=0.9.6
+pkgrel=1
+pkgdesc="StatusNet is a Free and Open Source microblogging platform."
+arch=('any')
+url="http://status.net"
+license=('AGPL')
+groups=('social-web')
+depends=('php>=5.2.3' 'mysql>=5' 'php-gd' 'php-curl' 'php-gmp')
+optdepends=('memcache: for caching database queries'
+ 'php-xcache: for accelerating PHP code execution'
+ 'php-ldap: for the LDAP plugin')
+provides=()
+options=()
+source=("http://status.net/${pkgname}-${pkgver}.tar.gz"
+ statusnet.install)
+install=statusnet.install
+
+build() {
+ cd "$srcdir/$pkgname-${pkgver}"
+
+ etc_dir="${pkgdir}/etc/webapps/${pkgname}"
+ usr_dir="${pkgdir}/usr/share/webapps/${pkgname}"
+
+ install -d ${usr_dir}
+ install -d ${etc_dir}
+ install -d ${pkgdir}/usr/share/doc/${pkgname}/
+ install -d ${pkgdir}/usr/share/licenses/${pkgname}
+
+ install -m644 ./{config.php,htaccess}.sample \
+ ${pkgdir}/usr/share/doc/${pkgname}/
+
+ install -m644 ./{README,EVENTS.txt,lighttpd.conf.example} \
+ ${pkgdir}/usr/share/doc/${pkgname}/
+
+ install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/
+
+ rm -f *.sample README COPYING README EVENTS.txt *.example
+
+ cp -ra * ${usr_dir}/
+ chmod a+w ${usr_dir}/
+ chmod a+w ${usr_dir}/{avatar,background,file}
+}
+md5sums=('48c379190754f8cc52deb9cb8f4116c6'
+ '24991580625ec177c144ed5acdbe6dbc')
diff --git a/social/statusnet/statusnet.install b/social/statusnet/statusnet.install
new file mode 100644
index 000000000..426934404
--- /dev/null
+++ b/social/statusnet/statusnet.install
@@ -0,0 +1,13 @@
+post_install(){
+ cat <<EOM
+StatusNet is now installed on your system.
+
+You should link /usr/share/webapps/statusnet to /srv/http/
+
+Start MySQL and your prefered webserver and visit
+http://yoursite.tld/statusnet/install.php
+
+Write permissions of /usr/share/webapps/statusnet has been granted to ensure the
+installation process can write the config file.
+EOM
+}